com::lomiri::location::FusionProviderSelectionPolicy Struct Reference

`#include <fusion_provider_selection_policy.h>`

Inheritance diagram for com::lomiri::location::FusionProviderSelectionPolicy:
Collaboration diagram for com::lomiri::location::FusionProviderSelectionPolicy:

## Public Member Functions

ProviderSelection | determine_provider_selection_for_criteria (const Criteria &criteria, const ProviderEnumerator &enumerator)
Public Member Functions inherited from com::lomiri::location::ProviderSelectionPolicy
| ProviderSelectionPolicy (const ProviderSelectionPolicy &)=delete
ProviderSelectionPolicy & | operator= (const ProviderSelectionPolicy &)=delete
virtual | ~ProviderSelectionPolicy ()=default

## Additional Inherited Members

Public Types inherited from com::lomiri::location::ProviderSelectionPolicy
typedef std::shared_ptr< ProviderSelectionPolicy > | Ptr
Static Public Member Functions inherited from com::lomiri::location::ProviderSelectionPolicy
static const Provider::Ptr & | null_provider ()
Protected Member Functions inherited from com::lomiri::location::ProviderSelectionPolicy
| ProviderSelectionPolicy ()=default

## Detailed Description

Definition at line 31 of file fusion_provider_selection_policy.h.

## Member Function Documentation

## determine_provider_selection_for_criteria()

ProviderSelection com::lomiri::location::FusionProviderSelectionPolicy::determine_provider_selection_for_criteria | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator )

virtual

Implements com::lomiri::location::ProviderSelectionPolicy.

The documentation for this struct was generated from the following file:

- fusion_provider_selection_policy.h